using Encompass;
using Microsoft.Xna.Framework;
using MoonTools.Curve;

namespace KavTest.Messages
{
    public struct LightBulbSpawnMessage : IMessage
    {
        public Transform3D Transform { get; }
        public Color Color { get; }
        public float Intensity { get; }
        public SplineCurve3D Curve { get; }

        public LightBulbSpawnMessage(Transform3D transform, Color color, float intensity, SplineCurve3D curve)
        {
            Transform = transform;
            Color = color;
            Intensity = intensity;
            Curve = curve;
        }
    }
}
