using Encompass;
using Kav;
using Microsoft.Xna.Framework;

namespace KavTest.Messages
{
    public struct RustyBallSpawnMessage : IMessage
    {
        public Transform3D Transform { get; }
        public Vector3 AngularVelocity { get; }

        public RustyBallSpawnMessage(Transform3D transform, Vector3 angularVelocity)
        {
            Transform = transform;
            AngularVelocity = angularVelocity;
        }
    }
}
