using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest.Messages
{
    public struct TranslationMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public Vector3 Translation { get; }

        public TranslationMessage(Entity entity, Vector3 translation)
        {
            Entity = entity;
            Translation = translation;
        }
    }
}
